Skip to main content
GET
/
workflows
List workflows
curl --request GET \
  --url https://api-dev.narrative.io/workflows \
  --header 'Authorization: Bearer <token>'
{
  "records": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "my-etl-workflow",
      "specification": "document:\n  dsl: '1.0.0'\n  namespace: test\n  name: test-workflow\n  version: '1.0.0'\n  do:\n    - createView:\n        call: CreateMaterializedViewIfNotExists\n        with:\n          nql: \"SELECT track_id FROM company_data.workflow_input_dataset\"\n      datasetName: workflow_dataset_test12\n    - refreshView:\n        call: RefreshMaterializedView\n        with:\n          datasetName: workflow_dataset_test12\n    - insertData:\n        call: ExecuteDml\n        with:\n          nql: \"INSERT INTO company_data.workflow_input_dataset (track_id) VALUES ('test')\n",
      "data_plane_id": "d1e2f3a4-b5c6-7890-abcd-ef1234567890",
      "company_id": 100,
      "created_at": "2025-01-15T10:30:00Z",
      "created_by": 20,
      "updated_at": "2025-01-15T10:30:00Z",
      "status": "active",
      "tags": [
        "<string>"
      ],
      "archived_at": null
    }
  ],
  "current_page": 1,
  "total_records": 15000,
  "total_pages": 10,
  "prev_page": 1,
  "next_page": 42
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

per_page
integer

Number of records to return.

page
integer

Number of page. Stars from the first (1) page.

Response

200 - application/json

A paginated list of workflows.

A paginated list of workflows.

records
object[]
required

The list of workflows.

current_page
integer<int64>
required

The number of requested page.

Example:

1

total_records
integer<int64>
required

Total amount of accessible Access Rules

Example:

15000

total_pages
integer<int64>
required

Total amount of pages.

Example:

10

prev_page
integer<int64>

The number of previous page (if exists). Also can refer to the latest existing page if non-existing page was requested.

Example:

1

next_page
integer<int64>

The number of next page (if exists).

Example:

42